| Agda-2.2.6: A dependently typed functional programming language and proof assistant | Source code | Contents | Index

Agda.Interaction.Exceptions

Description
This module defines the exception handler.
Synopsis

handleParseException :: (ParseError -> IO a) -> ParseError -> IO a
failOnException :: (Range -> String -> IO a) -> IO a -> IO a

Documentation

handleParseException :: (ParseError -> IO a) -> ParseError -> IO a | Source

failOnException :: (Range -> String -> IO a) -> IO a -> IO a | Source

Note that `failOnException` only catches `ParseError`s.
Produced by Haddock version 2.4.2